import{S as qn,i as jn,s as On,e as r,k as m,w,t as i,M as In,c as a,d as o,m as f,a as s,x as y,h as l,b as c,G as e,g as _,y as $,q as T,o as H,B as k,v as Nn,L as Qo}from"../../chunks/vendor-hf-doc-builder.js";import{T as An}from"../../chunks/Tip-hf-doc-builder.js";import{D as rt}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Xo}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as at}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Jo}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Dn(z){let d,b,g,p,v;return p=new Xo({props:{code:`from transformers import H3Config, H3Model

# Initializing a H3 configuration
configuration = H3Config()

# Initializing a model (with random weights) from the configuration
model = H3Model(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> H3Config, H3Model

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a H3 configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = H3Config()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = H3Model(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=r("p"),b=i("Example:"),g=m(),w(p.$$.fragment)},l(n){d=a(n,"P",{});var u=s(d);b=l(u,"Example:"),u.forEach(o),g=f(n),y(p.$$.fragment,n)},m(n,u){_(n,d,u),e(d,b),_(n,g,u),$(p,n,u),v=!0},p:Qo,i(n){v||(T(p.$$.fragment,n),v=!0)},o(n){H(p.$$.fragment,n),v=!1},d(n){n&&o(d),n&&o(g),k(p,n)}}}function Wn(z){let d,b,g,p,v;return{c(){d=r("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r("code"),p=i("Module"),v=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var u=s(d);b=l(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(u,"CODE",{});var S=s(g);p=l(S,"Module"),S.forEach(o),v=l(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(o)},m(n,u){_(n,d,u),e(d,b),e(d,g),e(g,p),e(d,v)},d(n){n&&o(d)}}}function Bn(z){let d,b,g,p,v;return p=new Xo({props:{code:`from transformers import AutoTokenizer, H3Model
import torch

tokenizer = AutoTokenizer.from_pretrained("stanford/H3-125m")
model = H3Model.from_pretrained("stanford/H3-125m")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, H3Model
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;stanford/H3-125m&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = H3Model.from_pretrained(<span class="hljs-string">&quot;stanford/H3-125m&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=r("p"),b=i("Example:"),g=m(),w(p.$$.fragment)},l(n){d=a(n,"P",{});var u=s(d);b=l(u,"Example:"),u.forEach(o),g=f(n),y(p.$$.fragment,n)},m(n,u){_(n,d,u),e(d,b),_(n,g,u),$(p,n,u),v=!0},p:Qo,i(n){v||(T(p.$$.fragment,n),v=!0)},o(n){H(p.$$.fragment,n),v=!1},d(n){n&&o(d),n&&o(g),k(p,n)}}}function Un(z){let d,b,g,p,v;return{c(){d=r("p"),b=i("Although the recipe for forward pass needs to be defined within this function, one should call the "),g=r("code"),p=i("Module"),v=i(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=a(n,"P",{});var u=s(d);b=l(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),g=a(u,"CODE",{});var S=s(g);p=l(S,"Module"),S.forEach(o),v=l(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(o)},m(n,u){_(n,d,u),e(d,b),e(d,g),e(g,p),e(d,v)},d(n){n&&o(d)}}}function Rn(z){let d,b,g,p,v;return p=new Xo({props:{code:`import torch
from transformers import AutoTokenizer, H3ForCausalLM

tokenizer = AutoTokenizer.from_pretrained("stanford/H3-125m")
model = H3ForCausalLM.from_pretrained("stanford/H3-125m")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs, labels=inputs["input_ids"])
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, H3ForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;stanford/H3-125m&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = H3ForCausalLM.from_pretrained(<span class="hljs-string">&quot;stanford/H3-125m&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=inputs[<span class="hljs-string">&quot;input_ids&quot;</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),b=i("Example:"),g=m(),w(p.$$.fragment)},l(n){d=a(n,"P",{});var u=s(d);b=l(u,"Example:"),u.forEach(o),g=f(n),y(p.$$.fragment,n)},m(n,u){_(n,d,u),e(d,b),_(n,g,u),$(p,n,u),v=!0},p:Qo,i(n){v||(T(p.$$.fragment,n),v=!0)},o(n){H(p.$$.fragment,n),v=!1},d(n){n&&o(d),n&&o(g),k(p,n)}}}function Gn(z){let d,b,g,p,v,n,u,S,zt,st,q,U,Ne,re,Et,De,Pt,it,R,St,ae,Ft,Lt,lt,ke,At,dt,Me,We,qt,ct,Ce,jt,ht,G,Be,Ot,It,Ue,Nt,pt,F,Dt,se,Wt,Bt,ie,Ut,Rt,mt,j,K,Re,le,Gt,Ge,Kt,ft,x,de,Vt,O,Yt,xe,Jt,Qt,ce,Xt,Zt,eo,I,to,ze,oo,no,Ee,ro,ao,so,V,ut,N,Y,Ke,he,io,Ve,lo,gt,M,pe,co,Ye,ho,po,me,mo,Pe,fo,uo,go,fe,_o,ue,vo,bo,wo,E,ge,yo,D,$o,Se,To,Ho,Je,ko,Mo,Co,J,xo,Q,_t,W,X,Qe,_e,zo,Xe,Eo,vt,C,ve,Po,Ze,So,Fo,be,Lo,Fe,Ao,qo,jo,we,Oo,ye,Io,No,Do,P,$e,Wo,B,Bo,Le,Uo,Ro,et,Go,Ko,Vo,Z,Yo,ee,bt;return n=new at({}),re=new at({}),le=new at({}),de=new rt({props:{name:"class transformers.H3Config",anchor:"transformers.H3Config",parameters:[{name:"vocab_size",val:" = 50264"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"n_inner",val:" = None"},{name:"residual_dropout",val:" = 0.0"},{name:"embedding_dropout",val:" = 0.1"},{name:"residual_in_fp32",val:" = False"},{name:"layer_norm_epsilon",val:" = 1e-05"},{name:"initializer_range",val:" = 0.02"},{name:"rescale_prenorm_residual",val:" = True"},{name:"glu_act",val:" = False"},{name:"ssm_mode",val:" = 'diag'"},{name:"ssm_measure",val:" = 'diag-lin'"},{name:"attn_layer_idx",val:" = [6]"},{name:"bos_token_id",val:" = 50256"},{name:"eos_token_id",val:" = 50256"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.H3Config.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 50264) &#x2014;
Vocabulary size of the H3 model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/pr_22262/en/model_doc/h3#transformers.H3Model">H3Model</a>.`,name:"vocab_size"},{anchor:"transformers.H3Config.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the embeddings and hidden states.`,name:"hidden_size"},{anchor:"transformers.H3Config.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.H3Config.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.H3Config.n_inner",description:`<strong>n_inner</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Dimensionality of the inner feed-forward layers. If not set, will set it to 4 times the <code>hidden_size</code>.`,name:"n_inner"},{anchor:"transformers.H3Config.residual_dropout",description:`<strong>residual_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probability for the residual connections inside each block.`,name:"residual_dropout"},{anchor:"transformers.H3Config.embedding_dropout",description:`<strong>embedding_dropout</strong> (<code>int</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for the embeddings.`,name:"embedding_dropout"},{anchor:"transformers.H3Config.residual_in_fp32",description:`<strong>residual_in_fp32</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether apply the residual in floating point 32.`,name:"residual_in_fp32"},{anchor:"transformers.H3Config.layer_norm_epsilon",description:`<strong>layer_norm_epsilon</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014;
The epsilon to use in the layer normalization layers.`,name:"layer_norm_epsilon"},{anchor:"transformers.H3Config.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.H3Config.rescale_prenorm_residual",description:`<strong>rescale_prenorm_residual</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to (&#x2026;).`,name:"rescale_prenorm_residual"},{anchor:"transformers.H3Config.glu_act",description:`<strong>glu_act</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to (&#x2026;).`,name:"glu_act"},{anchor:"transformers.H3Config.ssm_mode",description:`<strong>ssm_mode</strong> (<code>str</code>, <em>optional</em>, defaults to <code>diag</code>) &#x2014;
SSM mode to use.`,name:"ssm_mode"},{anchor:"transformers.H3Config.ssm_measure",description:`<strong>ssm_measure</strong> (<code>str</code>, <em>optional</em>, defaults to <code>diag-lin</code>) &#x2014;
SSM measure to use.`,name:"ssm_measure"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/h3/configuration_h3.py#L29"}}),V=new Jo({props:{anchor:"transformers.H3Config.example",$$slots:{default:[Dn]},$$scope:{ctx:z}}}),he=new at({}),pe=new rt({props:{name:"class transformers.H3Model",anchor:"transformers.H3Model",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.H3Model.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22262/en/model_doc/h3#transformers.H3Config">H3Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22262/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/h3/modeling_h3.py#L482"}}),ge=new rt({props:{name:"forward",anchor:"transformers.H3Model.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.H3Model.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, input_ids_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/pr_22262/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/pr_22262/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and <a href="/docs/transformers/pr_22262/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.H3Model.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.H3Model.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.H3Model.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.H3Model.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.H3Model.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.H3Model.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22262/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/h3/modeling_h3.py#L514",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22262/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22262/en/model_doc/h3#transformers.H3Config"
>H3Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22262/en/main_classes/output#transformers.modeling_outputs.BaseModelOutput"
>transformers.modeling_outputs.BaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),J=new An({props:{$$slots:{default:[Wn]},$$scope:{ctx:z}}}),Q=new Jo({props:{anchor:"transformers.H3Model.forward.example",$$slots:{default:[Bn]},$$scope:{ctx:z}}}),_e=new at({}),ve=new rt({props:{name:"class transformers.H3ForCausalLM",anchor:"transformers.H3ForCausalLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.H3ForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22262/en/model_doc/h3#transformers.H3Config">H3Config</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22262/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/h3/modeling_h3.py#L614"}}),$e=new rt({props:{name:"forward",anchor:"transformers.H3ForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.H3ForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, input_ids_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Indices can be obtained using <a href="/docs/transformers/pr_22262/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See
<a href="/docs/transformers/pr_22262/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and <a href="/docs/transformers/pr_22262/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.H3ForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.H3ForCausalLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.H3ForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.H3ForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.H3ForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.H3ForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22262/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.H3ForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for language modeling. Note that the labels <strong>are shifted</strong> inside the model, i.e. you can set
<code>labels = input_ids</code> Indices are selected in <code>[-100, 0, ..., config.vocab_size]</code> All labels set to <code>-100</code>
are ignored (masked), the loss is only computed for labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/h3/modeling_h3.py#L650",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22262/en/main_classes/output#transformers.modeling_outputs.CausalLMOutput"
>transformers.modeling_outputs.CausalLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22262/en/model_doc/h3#transformers.H3Config"
>H3Config</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22262/en/main_classes/output#transformers.modeling_outputs.CausalLMOutput"
>transformers.modeling_outputs.CausalLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Z=new An({props:{$$slots:{default:[Un]},$$scope:{ctx:z}}}),ee=new Jo({props:{anchor:"transformers.H3ForCausalLM.forward.example",$$slots:{default:[Rn]},$$scope:{ctx:z}}}),{c(){d=r("meta"),b=m(),g=r("h1"),p=r("a"),v=r("span"),w(n.$$.fragment),u=m(),S=r("span"),zt=i("H3"),st=m(),q=r("h2"),U=r("a"),Ne=r("span"),w(re.$$.fragment),Et=m(),De=r("span"),Pt=i("Overview"),it=m(),R=r("p"),St=i("The H3 model was proposed in "),ae=r("a"),Ft=i("Hungry Hungry Hippos: Towards Language Modeling with State Space Models"),Lt=i(` by Tri Dao, Daniel Y. Fu, Khaled K. Saab, Armin W. Thomas, Atri Rudra, Christopher R\xE9.
H3 addresses the expressivity gap between State Space Models (SSMs) and attention in language modeling, by proposing a new layer that can be swapped for attention, called H3.`),lt=m(),ke=r("p"),At=i("The abstract from the paper is the following:"),dt=m(),Me=r("p"),We=r("em"),qt=i("State space models (SSMs) have demonstrated state-of-the-art sequence modeling performance in some modalities, but underperform attention in language modeling. Moreover, despite scaling nearly linearly in sequence length instead of quadratically, SSMs are still slower than Transformers due to poor hardware utilization. In this paper, we make progress on understanding the expressivity gap between SSMs and attention in language modeling, and on reducing the hardware barrier between SSMs and attention. First, we use synthetic language modeling tasks to understand the gap between SSMs and attention. We find that existing SSMs struggle with two capabilities: recalling earlier tokens in the sequence and comparing tokens across the sequence. To understand the impact on language modeling, we propose a new SSM layer, H3, that is explicitly designed for these abilities. H3 matches attention on the synthetic languages and comes within 0.4 PPL of Transformers on OpenWebText. Furthermore, a hybrid 125M-parameter H3-attention model that retains two attention layers surprisingly outperforms Transformers on OpenWebText by 1.0 PPL. Next, to improve the efficiency of training SSMs on modern hardware, we propose FlashConv. FlashConv uses a fused block FFT algorithm to improve efficiency on sequences up to 8K, and introduces a novel state passing algorithm that exploits the recurrent properties of SSMs to scale to longer sequences. FlashConv yields 2\xD7 speedup on the long-range arena benchmark and allows hybrid language models to generate text 1.6\xD7 faster than Transformers. Using FlashConv, we scale hybrid H3-attention language models up to 1.3B parameters on the Pile and find promising initial results, achieving lower perplexity than Transformers and outperforming Transformers in zero- and few-shot learning on a majority of tasks in the SuperGLUE benchmark."),ct=m(),Ce=r("p"),jt=i("Tips:"),ht=m(),G=r("ul"),Be=r("li"),Ot=i("Usage of H3 is identical to GPT-2. The only difference is that GPT-2 uses a stack of blocks/layers that use multi-head attention, whereas H3 uses a stack of blocks that either use multi-head attention or the new H3 operation."),It=m(),Ue=r("li"),Nt=i("One can create hybrid models that have attention and H3 layers interleaved."),pt=m(),F=r("p"),Dt=i("This model was contributed by "),se=r("a"),Wt=i("nielsr"),Bt=i(`.
The original code can be found `),ie=r("a"),Ut=i("here"),Rt=i("."),mt=m(),j=r("h2"),K=r("a"),Re=r("span"),w(le.$$.fragment),Gt=m(),Ge=r("span"),Kt=i("H3Config"),ft=m(),x=r("div"),w(de.$$.fragment),Vt=m(),O=r("p"),Yt=i("This is the configuration class to store the configuration of an "),xe=r("a"),Jt=i("H3Model"),Qt=i(`. It is used to instantiate a H3 model
according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the H3
`),ce=r("a"),Xt=i("stanford/H3-125m"),Zt=i(" architecture."),eo=m(),I=r("p"),to=i("Configuration objects inherit from "),ze=r("a"),oo=i("PretrainedConfig"),no=i(` and can be used to control the model outputs. Read the
documentation from `),Ee=r("a"),ro=i("PretrainedConfig"),ao=i(" for more information."),so=m(),w(V.$$.fragment),ut=m(),N=r("h2"),Y=r("a"),Ke=r("span"),w(he.$$.fragment),io=m(),Ve=r("span"),lo=i("H3Model"),gt=m(),M=r("div"),w(pe.$$.fragment),co=m(),Ye=r("p"),ho=i("The bare H3 model outputting raw hidden-states without any specific head on top."),po=m(),me=r("p"),mo=i("This model inherits from "),Pe=r("a"),fo=i("PreTrainedModel"),uo=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),go=m(),fe=r("p"),_o=i("This model is also a PyTorch "),ue=r("a"),vo=i("torch.nn.Module"),bo=i(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),wo=m(),E=r("div"),w(ge.$$.fragment),yo=m(),D=r("p"),$o=i("The "),Se=r("a"),To=i("H3Model"),Ho=i(" forward method, overrides the "),Je=r("code"),ko=i("__call__"),Mo=i(" special method."),Co=m(),w(J.$$.fragment),xo=m(),w(Q.$$.fragment),_t=m(),W=r("h2"),X=r("a"),Qe=r("span"),w(_e.$$.fragment),zo=m(),Xe=r("span"),Eo=i("H3ForCausalLM"),vt=m(),C=r("div"),w(ve.$$.fragment),Po=m(),Ze=r("p"),So=i("The H3 model with a language modeling head on top (linear layer with weights tied to the input embeddings)."),Fo=m(),be=r("p"),Lo=i("This model inherits from "),Fe=r("a"),Ao=i("PreTrainedModel"),qo=i(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),jo=m(),we=r("p"),Oo=i("This model is also a PyTorch "),ye=r("a"),Io=i("torch.nn.Module"),No=i(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Do=m(),P=r("div"),w($e.$$.fragment),Wo=m(),B=r("p"),Bo=i("The "),Le=r("a"),Uo=i("H3ForCausalLM"),Ro=i(" forward method, overrides the "),et=r("code"),Go=i("__call__"),Ko=i(" special method."),Vo=m(),w(Z.$$.fragment),Yo=m(),w(ee.$$.fragment),this.h()},l(t){const h=In('[data-svelte="svelte-1phssyn"]',document.head);d=a(h,"META",{name:!0,content:!0}),h.forEach(o),b=f(t),g=a(t,"H1",{class:!0});var Te=s(g);p=a(Te,"A",{id:!0,class:!0,href:!0});var tt=s(p);v=a(tt,"SPAN",{});var ot=s(v);y(n.$$.fragment,ot),ot.forEach(o),tt.forEach(o),u=f(Te),S=a(Te,"SPAN",{});var nt=s(S);zt=l(nt,"H3"),nt.forEach(o),Te.forEach(o),st=f(t),q=a(t,"H2",{class:!0});var He=s(q);U=a(He,"A",{id:!0,class:!0,href:!0});var Zo=s(U);Ne=a(Zo,"SPAN",{});var en=s(Ne);y(re.$$.fragment,en),en.forEach(o),Zo.forEach(o),Et=f(He),De=a(He,"SPAN",{});var tn=s(De);Pt=l(tn,"Overview"),tn.forEach(o),He.forEach(o),it=f(t),R=a(t,"P",{});var wt=s(R);St=l(wt,"The H3 model was proposed in "),ae=a(wt,"A",{href:!0,rel:!0});var on=s(ae);Ft=l(on,"Hungry Hungry Hippos: Towards Language Modeling with State Space Models"),on.forEach(o),Lt=l(wt,` by Tri Dao, Daniel Y. Fu, Khaled K. Saab, Armin W. Thomas, Atri Rudra, Christopher R\xE9.
H3 addresses the expressivity gap between State Space Models (SSMs) and attention in language modeling, by proposing a new layer that can be swapped for attention, called H3.`),wt.forEach(o),lt=f(t),ke=a(t,"P",{});var nn=s(ke);At=l(nn,"The abstract from the paper is the following:"),nn.forEach(o),dt=f(t),Me=a(t,"P",{});var rn=s(Me);We=a(rn,"EM",{});var an=s(We);qt=l(an,"State space models (SSMs) have demonstrated state-of-the-art sequence modeling performance in some modalities, but underperform attention in language modeling. Moreover, despite scaling nearly linearly in sequence length instead of quadratically, SSMs are still slower than Transformers due to poor hardware utilization. In this paper, we make progress on understanding the expressivity gap between SSMs and attention in language modeling, and on reducing the hardware barrier between SSMs and attention. First, we use synthetic language modeling tasks to understand the gap between SSMs and attention. We find that existing SSMs struggle with two capabilities: recalling earlier tokens in the sequence and comparing tokens across the sequence. To understand the impact on language modeling, we propose a new SSM layer, H3, that is explicitly designed for these abilities. H3 matches attention on the synthetic languages and comes within 0.4 PPL of Transformers on OpenWebText. Furthermore, a hybrid 125M-parameter H3-attention model that retains two attention layers surprisingly outperforms Transformers on OpenWebText by 1.0 PPL. Next, to improve the efficiency of training SSMs on modern hardware, we propose FlashConv. FlashConv uses a fused block FFT algorithm to improve efficiency on sequences up to 8K, and introduces a novel state passing algorithm that exploits the recurrent properties of SSMs to scale to longer sequences. FlashConv yields 2\xD7 speedup on the long-range arena benchmark and allows hybrid language models to generate text 1.6\xD7 faster than Transformers. Using FlashConv, we scale hybrid H3-attention language models up to 1.3B parameters on the Pile and find promising initial results, achieving lower perplexity than Transformers and outperforming Transformers in zero- and few-shot learning on a majority of tasks in the SuperGLUE benchmark."),an.forEach(o),rn.forEach(o),ct=f(t),Ce=a(t,"P",{});var sn=s(Ce);jt=l(sn,"Tips:"),sn.forEach(o),ht=f(t),G=a(t,"UL",{});var yt=s(G);Be=a(yt,"LI",{});var ln=s(Be);Ot=l(ln,"Usage of H3 is identical to GPT-2. The only difference is that GPT-2 uses a stack of blocks/layers that use multi-head attention, whereas H3 uses a stack of blocks that either use multi-head attention or the new H3 operation."),ln.forEach(o),It=f(yt),Ue=a(yt,"LI",{});var dn=s(Ue);Nt=l(dn,"One can create hybrid models that have attention and H3 layers interleaved."),dn.forEach(o),yt.forEach(o),pt=f(t),F=a(t,"P",{});var Ae=s(F);Dt=l(Ae,"This model was contributed by "),se=a(Ae,"A",{href:!0,rel:!0});var cn=s(se);Wt=l(cn,"nielsr"),cn.forEach(o),Bt=l(Ae,`.
The original code can be found `),ie=a(Ae,"A",{href:!0,rel:!0});var hn=s(ie);Ut=l(hn,"here"),hn.forEach(o),Rt=l(Ae,"."),Ae.forEach(o),mt=f(t),j=a(t,"H2",{class:!0});var $t=s(j);K=a($t,"A",{id:!0,class:!0,href:!0});var pn=s(K);Re=a(pn,"SPAN",{});var mn=s(Re);y(le.$$.fragment,mn),mn.forEach(o),pn.forEach(o),Gt=f($t),Ge=a($t,"SPAN",{});var fn=s(Ge);Kt=l(fn,"H3Config"),fn.forEach(o),$t.forEach(o),ft=f(t),x=a(t,"DIV",{class:!0});var te=s(x);y(de.$$.fragment,te),Vt=f(te),O=a(te,"P",{});var qe=s(O);Yt=l(qe,"This is the configuration class to store the configuration of an "),xe=a(qe,"A",{href:!0});var un=s(xe);Jt=l(un,"H3Model"),un.forEach(o),Qt=l(qe,`. It is used to instantiate a H3 model
according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the H3
`),ce=a(qe,"A",{href:!0,rel:!0});var gn=s(ce);Xt=l(gn,"stanford/H3-125m"),gn.forEach(o),Zt=l(qe," architecture."),qe.forEach(o),eo=f(te),I=a(te,"P",{});var je=s(I);to=l(je,"Configuration objects inherit from "),ze=a(je,"A",{href:!0});var _n=s(ze);oo=l(_n,"PretrainedConfig"),_n.forEach(o),no=l(je,` and can be used to control the model outputs. Read the
documentation from `),Ee=a(je,"A",{href:!0});var vn=s(Ee);ro=l(vn,"PretrainedConfig"),vn.forEach(o),ao=l(je," for more information."),je.forEach(o),so=f(te),y(V.$$.fragment,te),te.forEach(o),ut=f(t),N=a(t,"H2",{class:!0});var Tt=s(N);Y=a(Tt,"A",{id:!0,class:!0,href:!0});var bn=s(Y);Ke=a(bn,"SPAN",{});var wn=s(Ke);y(he.$$.fragment,wn),wn.forEach(o),bn.forEach(o),io=f(Tt),Ve=a(Tt,"SPAN",{});var yn=s(Ve);lo=l(yn,"H3Model"),yn.forEach(o),Tt.forEach(o),gt=f(t),M=a(t,"DIV",{class:!0});var L=s(M);y(pe.$$.fragment,L),co=f(L),Ye=a(L,"P",{});var $n=s(Ye);ho=l($n,"The bare H3 model outputting raw hidden-states without any specific head on top."),$n.forEach(o),po=f(L),me=a(L,"P",{});var Ht=s(me);mo=l(Ht,"This model inherits from "),Pe=a(Ht,"A",{href:!0});var Tn=s(Pe);fo=l(Tn,"PreTrainedModel"),Tn.forEach(o),uo=l(Ht,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ht.forEach(o),go=f(L),fe=a(L,"P",{});var kt=s(fe);_o=l(kt,"This model is also a PyTorch "),ue=a(kt,"A",{href:!0,rel:!0});var Hn=s(ue);vo=l(Hn,"torch.nn.Module"),Hn.forEach(o),bo=l(kt,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),kt.forEach(o),wo=f(L),E=a(L,"DIV",{class:!0});var oe=s(E);y(ge.$$.fragment,oe),yo=f(oe),D=a(oe,"P",{});var Oe=s(D);$o=l(Oe,"The "),Se=a(Oe,"A",{href:!0});var kn=s(Se);To=l(kn,"H3Model"),kn.forEach(o),Ho=l(Oe," forward method, overrides the "),Je=a(Oe,"CODE",{});var Mn=s(Je);ko=l(Mn,"__call__"),Mn.forEach(o),Mo=l(Oe," special method."),Oe.forEach(o),Co=f(oe),y(J.$$.fragment,oe),xo=f(oe),y(Q.$$.fragment,oe),oe.forEach(o),L.forEach(o),_t=f(t),W=a(t,"H2",{class:!0});var Mt=s(W);X=a(Mt,"A",{id:!0,class:!0,href:!0});var Cn=s(X);Qe=a(Cn,"SPAN",{});var xn=s(Qe);y(_e.$$.fragment,xn),xn.forEach(o),Cn.forEach(o),zo=f(Mt),Xe=a(Mt,"SPAN",{});var zn=s(Xe);Eo=l(zn,"H3ForCausalLM"),zn.forEach(o),Mt.forEach(o),vt=f(t),C=a(t,"DIV",{class:!0});var A=s(C);y(ve.$$.fragment,A),Po=f(A),Ze=a(A,"P",{});var En=s(Ze);So=l(En,"The H3 model with a language modeling head on top (linear layer with weights tied to the input embeddings)."),En.forEach(o),Fo=f(A),be=a(A,"P",{});var Ct=s(be);Lo=l(Ct,"This model inherits from "),Fe=a(Ct,"A",{href:!0});var Pn=s(Fe);Ao=l(Pn,"PreTrainedModel"),Pn.forEach(o),qo=l(Ct,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ct.forEach(o),jo=f(A),we=a(A,"P",{});var xt=s(we);Oo=l(xt,"This model is also a PyTorch "),ye=a(xt,"A",{href:!0,rel:!0});var Sn=s(ye);Io=l(Sn,"torch.nn.Module"),Sn.forEach(o),No=l(xt,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),xt.forEach(o),Do=f(A),P=a(A,"DIV",{class:!0});var ne=s(P);y($e.$$.fragment,ne),Wo=f(ne),B=a(ne,"P",{});var Ie=s(B);Bo=l(Ie,"The "),Le=a(Ie,"A",{href:!0});var Fn=s(Le);Uo=l(Fn,"H3ForCausalLM"),Fn.forEach(o),Ro=l(Ie," forward method, overrides the "),et=a(Ie,"CODE",{});var Ln=s(et);Go=l(Ln,"__call__"),Ln.forEach(o),Ko=l(Ie," special method."),Ie.forEach(o),Vo=f(ne),y(Z.$$.fragment,ne),Yo=f(ne),y(ee.$$.fragment,ne),ne.forEach(o),A.forEach(o),this.h()},h(){c(d,"name","hf:doc:metadata"),c(d,"content",JSON.stringify(Kn)),c(p,"id","h3"),c(p,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(p,"href","#h3"),c(g,"class","relative group"),c(U,"id","overview"),c(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(U,"href","#overview"),c(q,"class","relative group"),c(ae,"href","https://arxiv.org/abs/2212.14052"),c(ae,"rel","nofollow"),c(se,"href","https://huggingface.co/nielsr"),c(se,"rel","nofollow"),c(ie,"href","https://github.com/HazyResearch/H3"),c(ie,"rel","nofollow"),c(K,"id","transformers.H3Config"),c(K,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(K,"href","#transformers.H3Config"),c(j,"class","relative group"),c(xe,"href","/docs/transformers/pr_22262/en/model_doc/h3#transformers.H3Model"),c(ce,"href","https://huggingface.co/stanford/H3-125m"),c(ce,"rel","nofollow"),c(ze,"href","/docs/transformers/pr_22262/en/main_classes/configuration#transformers.PretrainedConfig"),c(Ee,"href","/docs/transformers/pr_22262/en/main_classes/configuration#transformers.PretrainedConfig"),c(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Y,"id","transformers.H3Model"),c(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Y,"href","#transformers.H3Model"),c(N,"class","relative group"),c(Pe,"href","/docs/transformers/pr_22262/en/main_classes/model#transformers.PreTrainedModel"),c(ue,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(ue,"rel","nofollow"),c(Se,"href","/docs/transformers/pr_22262/en/model_doc/h3#transformers.H3Model"),c(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(X,"id","transformers.H3ForCausalLM"),c(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(X,"href","#transformers.H3ForCausalLM"),c(W,"class","relative group"),c(Fe,"href","/docs/transformers/pr_22262/en/main_classes/model#transformers.PreTrainedModel"),c(ye,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(ye,"rel","nofollow"),c(Le,"href","/docs/transformers/pr_22262/en/model_doc/h3#transformers.H3ForCausalLM"),c(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,h){e(document.head,d),_(t,b,h),_(t,g,h),e(g,p),e(p,v),$(n,v,null),e(g,u),e(g,S),e(S,zt),_(t,st,h),_(t,q,h),e(q,U),e(U,Ne),$(re,Ne,null),e(q,Et),e(q,De),e(De,Pt),_(t,it,h),_(t,R,h),e(R,St),e(R,ae),e(ae,Ft),e(R,Lt),_(t,lt,h),_(t,ke,h),e(ke,At),_(t,dt,h),_(t,Me,h),e(Me,We),e(We,qt),_(t,ct,h),_(t,Ce,h),e(Ce,jt),_(t,ht,h),_(t,G,h),e(G,Be),e(Be,Ot),e(G,It),e(G,Ue),e(Ue,Nt),_(t,pt,h),_(t,F,h),e(F,Dt),e(F,se),e(se,Wt),e(F,Bt),e(F,ie),e(ie,Ut),e(F,Rt),_(t,mt,h),_(t,j,h),e(j,K),e(K,Re),$(le,Re,null),e(j,Gt),e(j,Ge),e(Ge,Kt),_(t,ft,h),_(t,x,h),$(de,x,null),e(x,Vt),e(x,O),e(O,Yt),e(O,xe),e(xe,Jt),e(O,Qt),e(O,ce),e(ce,Xt),e(O,Zt),e(x,eo),e(x,I),e(I,to),e(I,ze),e(ze,oo),e(I,no),e(I,Ee),e(Ee,ro),e(I,ao),e(x,so),$(V,x,null),_(t,ut,h),_(t,N,h),e(N,Y),e(Y,Ke),$(he,Ke,null),e(N,io),e(N,Ve),e(Ve,lo),_(t,gt,h),_(t,M,h),$(pe,M,null),e(M,co),e(M,Ye),e(Ye,ho),e(M,po),e(M,me),e(me,mo),e(me,Pe),e(Pe,fo),e(me,uo),e(M,go),e(M,fe),e(fe,_o),e(fe,ue),e(ue,vo),e(fe,bo),e(M,wo),e(M,E),$(ge,E,null),e(E,yo),e(E,D),e(D,$o),e(D,Se),e(Se,To),e(D,Ho),e(D,Je),e(Je,ko),e(D,Mo),e(E,Co),$(J,E,null),e(E,xo),$(Q,E,null),_(t,_t,h),_(t,W,h),e(W,X),e(X,Qe),$(_e,Qe,null),e(W,zo),e(W,Xe),e(Xe,Eo),_(t,vt,h),_(t,C,h),$(ve,C,null),e(C,Po),e(C,Ze),e(Ze,So),e(C,Fo),e(C,be),e(be,Lo),e(be,Fe),e(Fe,Ao),e(be,qo),e(C,jo),e(C,we),e(we,Oo),e(we,ye),e(ye,Io),e(we,No),e(C,Do),e(C,P),$($e,P,null),e(P,Wo),e(P,B),e(B,Bo),e(B,Le),e(Le,Uo),e(B,Ro),e(B,et),e(et,Go),e(B,Ko),e(P,Vo),$(Z,P,null),e(P,Yo),$(ee,P,null),bt=!0},p(t,[h]){const Te={};h&2&&(Te.$$scope={dirty:h,ctx:t}),V.$set(Te);const tt={};h&2&&(tt.$$scope={dirty:h,ctx:t}),J.$set(tt);const ot={};h&2&&(ot.$$scope={dirty:h,ctx:t}),Q.$set(ot);const nt={};h&2&&(nt.$$scope={dirty:h,ctx:t}),Z.$set(nt);const He={};h&2&&(He.$$scope={dirty:h,ctx:t}),ee.$set(He)},i(t){bt||(T(n.$$.fragment,t),T(re.$$.fragment,t),T(le.$$.fragment,t),T(de.$$.fragment,t),T(V.$$.fragment,t),T(he.$$.fragment,t),T(pe.$$.fragment,t),T(ge.$$.fragment,t),T(J.$$.fragment,t),T(Q.$$.fragment,t),T(_e.$$.fragment,t),T(ve.$$.fragment,t),T($e.$$.fragment,t),T(Z.$$.fragment,t),T(ee.$$.fragment,t),bt=!0)},o(t){H(n.$$.fragment,t),H(re.$$.fragment,t),H(le.$$.fragment,t),H(de.$$.fragment,t),H(V.$$.fragment,t),H(he.$$.fragment,t),H(pe.$$.fragment,t),H(ge.$$.fragment,t),H(J.$$.fragment,t),H(Q.$$.fragment,t),H(_e.$$.fragment,t),H(ve.$$.fragment,t),H($e.$$.fragment,t),H(Z.$$.fragment,t),H(ee.$$.fragment,t),bt=!1},d(t){o(d),t&&o(b),t&&o(g),k(n),t&&o(st),t&&o(q),k(re),t&&o(it),t&&o(R),t&&o(lt),t&&o(ke),t&&o(dt),t&&o(Me),t&&o(ct),t&&o(Ce),t&&o(ht),t&&o(G),t&&o(pt),t&&o(F),t&&o(mt),t&&o(j),k(le),t&&o(ft),t&&o(x),k(de),k(V),t&&o(ut),t&&o(N),k(he),t&&o(gt),t&&o(M),k(pe),k(ge),k(J),k(Q),t&&o(_t),t&&o(W),k(_e),t&&o(vt),t&&o(C),k(ve),k($e),k(Z),k(ee)}}}const Kn={local:"h3",sections:[{local:"overview",title:"Overview"},{local:"transformers.H3Config",title:"H3Config"},{local:"transformers.H3Model",title:"H3Model"},{local:"transformers.H3ForCausalLM",title:"H3ForCausalLM"}],title:"H3"};function Vn(z){return Nn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class tr extends qn{constructor(d){super();jn(this,d,Vn,Gn,On,{})}}export{tr as default,Kn as metadata};
