import{S as on,i as sn,s as an,e as a,k as h,w as b,t as l,M as rn,c as r,d as o,m,a as n,x as $,h as i,b as c,G as t,g as u,y,q as N,o as T,B as R,v as nn,L as fo}from"../../chunks/vendor-hf-doc-builder.js";import{T as Jo}from"../../chunks/Tip-hf-doc-builder.js";import{D as Z}from"../../chunks/Docstring-hf-doc-builder.js";import{C as go}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as ke}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as po}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as ln}from"../../chunks/PipelineTag-hf-doc-builder.js";function dn(k){let d,v,_,g,w;return g=new go({props:{code:`from transformers import RegNetConfig, RegNetModel

# Initializing a RegNet regnet-y-40 style configuration
configuration = RegNetConfig()
# Initializing a model from the regnet-y-40 style configuration
model = RegNetModel(configuration)
# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> RegNetConfig, RegNetModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a RegNet regnet-y-40 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = RegNetConfig()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model from the regnet-y-40 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RegNetModel(configuration)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=a("p"),v=l("Example:"),_=h(),b(g.$$.fragment)},l(s){d=r(s,"P",{});var f=n(d);v=i(f,"Example:"),f.forEach(o),_=m(s),$(g.$$.fragment,s)},m(s,f){u(s,d,f),t(d,v),u(s,_,f),y(g,s,f),w=!0},p:fo,i(s){w||(N(g.$$.fragment,s),w=!0)},o(s){T(g.$$.fragment,s),w=!1},d(s){s&&o(d),s&&o(_),R(g,s)}}}function cn(k){let d,v,_,g,w;return{c(){d=a("p"),v=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),g=l("Module"),w=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){d=r(s,"P",{});var f=n(d);v=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(f,"CODE",{});var F=n(_);g=i(F,"Module"),F.forEach(o),w=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(s,f){u(s,d,f),t(d,v),t(d,_),t(_,g),t(d,w)},d(s){s&&o(d)}}}function pn(k){let d,v,_,g,w;return g=new go({props:{code:`from transformers import AutoImageProcessor, RegNetModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = RegNetModel.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, RegNetModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RegNetModel.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">1088</span>, <span class="hljs-number">7</span>, <span class="hljs-number">7</span>]`}}),{c(){d=a("p"),v=l("Example:"),_=h(),b(g.$$.fragment)},l(s){d=r(s,"P",{});var f=n(d);v=i(f,"Example:"),f.forEach(o),_=m(s),$(g.$$.fragment,s)},m(s,f){u(s,d,f),t(d,v),u(s,_,f),y(g,s,f),w=!0},p:fo,i(s){w||(N(g.$$.fragment,s),w=!0)},o(s){T(g.$$.fragment,s),w=!1},d(s){s&&o(d),s&&o(_),R(g,s)}}}function fn(k){let d,v,_,g,w;return{c(){d=a("p"),v=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),g=l("Module"),w=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){d=r(s,"P",{});var f=n(d);v=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(f,"CODE",{});var F=n(_);g=i(F,"Module"),F.forEach(o),w=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(s,f){u(s,d,f),t(d,v),t(d,_),t(_,g),t(d,w)},d(s){s&&o(d)}}}function gn(k){let d,v,_,g,w;return g=new go({props:{code:`from transformers import AutoImageProcessor, RegNetForImageClassification
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = RegNetForImageClassification.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = logits.argmax(-1).item()
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, RegNetForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = RegNetForImageClassification.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){d=a("p"),v=l("Example:"),_=h(),b(g.$$.fragment)},l(s){d=r(s,"P",{});var f=n(d);v=i(f,"Example:"),f.forEach(o),_=m(s),$(g.$$.fragment,s)},m(s,f){u(s,d,f),t(d,v),u(s,_,f),y(g,s,f),w=!0},p:fo,i(s){w||(N(g.$$.fragment,s),w=!0)},o(s){T(g.$$.fragment,s),w=!1},d(s){s&&o(d),s&&o(_),R(g,s)}}}function hn(k){let d,v,_,g,w;return{c(){d=a("p"),v=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),g=l("Module"),w=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){d=r(s,"P",{});var f=n(d);v=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(f,"CODE",{});var F=n(_);g=i(F,"Module"),F.forEach(o),w=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(s,f){u(s,d,f),t(d,v),t(d,_),t(_,g),t(d,w)},d(s){s&&o(d)}}}function mn(k){let d,v,_,g,w;return g=new go({props:{code:`from transformers import AutoImageProcessor, TFRegNetModel
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = TFRegNetModel.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(image, return_tensors="tf")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFRegNetModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFRegNetModel.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">1088</span>, <span class="hljs-number">7</span>, <span class="hljs-number">7</span>]`}}),{c(){d=a("p"),v=l("Example:"),_=h(),b(g.$$.fragment)},l(s){d=r(s,"P",{});var f=n(d);v=i(f,"Example:"),f.forEach(o),_=m(s),$(g.$$.fragment,s)},m(s,f){u(s,d,f),t(d,v),u(s,_,f),y(g,s,f),w=!0},p:fo,i(s){w||(N(g.$$.fragment,s),w=!0)},o(s){T(g.$$.fragment,s),w=!1},d(s){s&&o(d),s&&o(_),R(g,s)}}}function un(k){let d,v,_,g,w;return{c(){d=a("p"),v=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),_=a("code"),g=l("Module"),w=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){d=r(s,"P",{});var f=n(d);v=i(f,"Although the recipe for forward pass needs to be defined within this function, one should call the "),_=r(f,"CODE",{});var F=n(_);g=i(F,"Module"),F.forEach(o),w=i(f,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),f.forEach(o)},m(s,f){u(s,d,f),t(d,v),t(d,_),t(_,g),t(d,w)},d(s){s&&o(d)}}}function _n(k){let d,v,_,g,w;return g=new go({props:{code:`from transformers import AutoImageProcessor, TFRegNetForImageClassification
import tensorflow as tf
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/regnet-y-040")
model = TFRegNetForImageClassification.from_pretrained("facebook/regnet-y-040")

inputs = image_processor(image, return_tensors="tf")
logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = int(tf.math.argmax(logits, axis=-1))
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFRegNetForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFRegNetForImageClassification.from_pretrained(<span class="hljs-string">&quot;facebook/regnet-y-040&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = <span class="hljs-built_in">int</span>(tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){d=a("p"),v=l("Example:"),_=h(),b(g.$$.fragment)},l(s){d=r(s,"P",{});var f=n(d);v=i(f,"Example:"),f.forEach(o),_=m(s),$(g.$$.fragment,s)},m(s,f){u(s,d,f),t(d,v),u(s,_,f),y(g,s,f),w=!0},p:fo,i(s){w||(N(g.$$.fragment,s),w=!0)},o(s){T(g.$$.fragment,s),w=!1},d(s){s&&o(d),s&&o(_),R(g,s)}}}function wn(k){let d,v,_,g,w,s,f,F,Qo,ho,D,ee,Mt,Fe,Xo,qt,Yo,mo,te,Zo,Ee,es,ts,uo,dt,os,_o,ct,ss,wo,pt,zt,as,vo,ft,rs,bo,oe,Ie,ns,gt,ls,is,ds,se,cs,je,ps,fs,xe,gs,$o,E,hs,Ce,ms,us,Pe,_s,ws,Ae,vs,bs,Me,$s,ys,yo,L,ae,St,qe,Ns,Ot,Ts,No,ht,Rs,To,ze,Ro,re,S,mt,ks,Fs,Se,Es,Is,Oe,js,xs,Cs,ut,Ps,_t,As,ko,wt,Ms,Fo,W,ne,Dt,De,qs,Lt,zs,Eo,I,Le,Ss,H,Os,vt,Ds,Ls,We,Ws,Hs,Us,U,Vs,bt,Bs,Gs,$t,Ks,Js,Qs,le,Io,V,ie,Wt,He,Xs,Ht,Ys,jo,M,Ue,Zs,Ve,ea,Be,ta,oa,sa,x,Ge,aa,B,ra,yt,na,la,Ut,ia,da,ca,de,pa,ce,xo,G,pe,Vt,Ke,fa,Bt,ga,Co,j,Je,ha,Gt,ma,ua,Qe,_a,Xe,wa,va,ba,C,Ye,$a,K,ya,Nt,Na,Ta,Kt,Ra,ka,Fa,fe,Ea,ge,Po,J,he,Jt,Ze,Ia,Qt,ja,Ao,q,et,xa,Xt,Ca,Pa,P,tt,Aa,Q,Ma,Tt,qa,za,Yt,Sa,Oa,Da,me,La,ue,Mo,X,_e,Zt,ot,Wa,eo,Ha,qo,z,st,Ua,to,Va,Ba,A,at,Ga,Y,Ka,Rt,Ja,Qa,oo,Xa,Ya,Za,we,er,ve,zo;return s=new ke({}),Fe=new ke({}),qe=new ke({}),ze=new ln({props:{pipeline:"image-classification"}}),De=new ke({}),Le=new Z({props:{name:"class transformers.RegNetConfig",anchor:"transformers.RegNetConfig",parameters:[{name:"num_channels",val:" = 3"},{name:"embedding_size",val:" = 32"},{name:"hidden_sizes",val:" = [128, 192, 512, 1088]"},{name:"depths",val:" = [2, 6, 12, 2]"},{name:"groups_width",val:" = 64"},{name:"layer_type",val:" = 'y'"},{name:"hidden_act",val:" = 'relu'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.RegNetConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.RegNetConfig.embedding_size",description:`<strong>embedding_size</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Dimensionality (hidden size) for the embedding layer.`,name:"embedding_size"},{anchor:"transformers.RegNetConfig.hidden_sizes",description:`<strong>hidden_sizes</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[256, 512, 1024, 2048]</code>) &#x2014;
Dimensionality (hidden size) at each stage.`,name:"hidden_sizes"},{anchor:"transformers.RegNetConfig.depths",description:`<strong>depths</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[3, 4, 6, 3]</code>) &#x2014;
Depth (number of layers) for each stage.`,name:"depths"},{anchor:"transformers.RegNetConfig.layer_type",description:`<strong>layer_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;y&quot;</code>) &#x2014;
The layer to use, it can be either <code>&quot;x&quot; or </code>&#x201C;y&#x201D;<code>. An </code>x<code>layer is a ResNet&apos;s BottleNeck layer with</code>reduction<code>fixed to</code>1<code>. While a </code>y<code>layer is a</code>x\` but with squeeze and excitation. Please refer to the
paper for a detailed explanation of how these layers were constructed.`,name:"layer_type"},{anchor:"transformers.RegNetConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;relu&quot;</code>) &#x2014;
The non-linear activation function in each block. If string, <code>&quot;gelu&quot;</code>, <code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code>
are supported.`,name:"hidden_act"},{anchor:"transformers.RegNetConfig.downsample_in_first_stage",description:`<strong>downsample_in_first_stage</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, the first stage will downsample the inputs using a <code>stride</code> of 2.`,name:"downsample_in_first_stage"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/regnet/configuration_regnet.py#L28"}}),le=new po({props:{anchor:"transformers.RegNetConfig.example",$$slots:{default:[dn]},$$scope:{ctx:k}}}),He=new ke({}),Ue=new Z({props:{name:"class transformers.RegNetModel",anchor:"transformers.RegNetModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.RegNetModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22262/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22262/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/regnet/modeling_regnet.py#L331"}}),Ge=new Z({props:{name:"forward",anchor:"transformers.RegNetModel.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.RegNetModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_22262/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_22262/en/model_doc/videomae#transformers.VideoMAEFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.RegNetModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.RegNetModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22262/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/regnet/modeling_regnet.py#L341",returnDescription:`
<p>A <code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22262/en/model_doc/regnet#transformers.RegNetConfig"
>RegNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),de=new Jo({props:{$$slots:{default:[cn]},$$scope:{ctx:k}}}),ce=new po({props:{anchor:"transformers.RegNetModel.forward.example",$$slots:{default:[pn]},$$scope:{ctx:k}}}),Ke=new ke({}),Je=new Z({props:{name:"class transformers.RegNetForImageClassification",anchor:"transformers.RegNetForImageClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.RegNetForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/pr_22262/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22262/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/regnet/modeling_regnet.py#L385"}}),Ye=new Z({props:{name:"forward",anchor:"transformers.RegNetForImageClassification.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.RegNetForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_22262/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/pr_22262/en/model_doc/videomae#transformers.VideoMAEFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.RegNetForImageClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.RegNetForImageClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22262/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.RegNetForImageClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/regnet/modeling_regnet.py#L398",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22262/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/pr_22262/en/model_doc/regnet#transformers.RegNetConfig"
>RegNetConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also
called feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22262/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),fe=new Jo({props:{$$slots:{default:[fn]},$$scope:{ctx:k}}}),ge=new po({props:{anchor:"transformers.RegNetForImageClassification.forward.example",$$slots:{default:[gn]},$$scope:{ctx:k}}}),Ze=new ke({}),et=new Z({props:{name:"class transformers.TFRegNetModel",anchor:"transformers.TFRegNetModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFRegNetModel.This",description:`<strong>This</strong> model is a Tensorflow &#x2014;
[tf.keras.layers.Layer](https &#x2014;//<a href="http://www.tensorflow.org/api_docs/python/tf/keras/layers/Layer" rel="nofollow">www.tensorflow.org/api_docs/python/tf/keras/layers/Layer</a>) sub-class. Use it as a`,name:"This"},{anchor:"transformers.TFRegNetModel.regular",description:`<strong>regular</strong> Tensorflow Module and refer to the Tensorflow documentation for all matter related to general usage and &#x2014;
behavior. &#x2014;
config (<a href="/docs/transformers/pr_22262/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>): Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22262/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"regular"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/regnet/modeling_tf_regnet.py#L405"}}),tt=new Z({props:{name:"call",anchor:"transformers.TFRegNetModel.call",parameters:[{name:"pixel_values",val:": Tensor"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:" = False"}],parametersDescription:[{anchor:"transformers.TFRegNetModel.call.pixel_values",description:`<strong>pixel_values</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_22262/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<code>ConveNextImageProcessor.__call__</code> for details.`,name:"pixel_values"},{anchor:"transformers.TFRegNetModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFRegNetModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22262/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/regnet/modeling_tf_regnet.py#L410",returnDescription:`
<p>A <code>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndNoAttention</code> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22262/en/model_doc/regnet#transformers.RegNetConfig"
>RegNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings, if the model has an embedding layer, + one for
the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(tf.Tensor)</code></p>
`}}),me=new Jo({props:{$$slots:{default:[hn]},$$scope:{ctx:k}}}),ue=new po({props:{anchor:"transformers.TFRegNetModel.call.example",$$slots:{default:[mn]},$$scope:{ctx:k}}}),ot=new ke({}),st=new Z({props:{name:"class transformers.TFRegNetForImageClassification",anchor:"transformers.TFRegNetForImageClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFRegNetForImageClassification.This",description:`<strong>This</strong> model is a Tensorflow &#x2014;
[tf.keras.layers.Layer](https &#x2014;//<a href="http://www.tensorflow.org/api_docs/python/tf/keras/layers/Layer" rel="nofollow">www.tensorflow.org/api_docs/python/tf/keras/layers/Layer</a>) sub-class. Use it as a`,name:"This"},{anchor:"transformers.TFRegNetForImageClassification.regular",description:`<strong>regular</strong> Tensorflow Module and refer to the Tensorflow documentation for all matter related to general usage and &#x2014;
behavior. &#x2014;
config (<a href="/docs/transformers/pr_22262/en/model_doc/regnet#transformers.RegNetConfig">RegNetConfig</a>): Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/pr_22262/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"regular"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/regnet/modeling_tf_regnet.py#L464"}}),at=new Z({props:{name:"call",anchor:"transformers.TFRegNetForImageClassification.call",parameters:[{name:"pixel_values",val:": Tensor = None"},{name:"labels",val:": Tensor = None"},{name:"output_hidden_states",val:": bool = None"},{name:"return_dict",val:": bool = None"},{name:"training",val:" = False"}],parametersDescription:[{anchor:"transformers.TFRegNetForImageClassification.call.pixel_values",description:`<strong>pixel_values</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/pr_22262/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<code>ConveNextImageProcessor.__call__</code> for details.`,name:"pixel_values"},{anchor:"transformers.TFRegNetForImageClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFRegNetForImageClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/pr_22262/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.TFRegNetForImageClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/vr_22262/src/transformers/models/regnet/modeling_tf_regnet.py#L475",returnDescription:`
<p>A <a
  href="/docs/transformers/pr_22262/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/pr_22262/en/model_doc/regnet#transformers.RegNetConfig"
>RegNetConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/pr_22262/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),we=new Jo({props:{$$slots:{default:[un]},$$scope:{ctx:k}}}),ve=new po({props:{anchor:"transformers.TFRegNetForImageClassification.call.example",$$slots:{default:[_n]},$$scope:{ctx:k}}}),{c(){d=a("meta"),v=h(),_=a("h1"),g=a("a"),w=a("span"),b(s.$$.fragment),f=h(),F=a("span"),Qo=l("RegNet"),ho=h(),D=a("h2"),ee=a("a"),Mt=a("span"),b(Fe.$$.fragment),Xo=h(),qt=a("span"),Yo=l("Overview"),mo=h(),te=a("p"),Zo=l("The RegNet model was proposed in "),Ee=a("a"),es=l("Designing Network Design Spaces"),ts=l(" by Ilija Radosavovic, Raj Prateek Kosaraju, Ross Girshick, Kaiming He, Piotr Doll\xE1r."),uo=h(),dt=a("p"),os=l("The authors design search spaces to perform Neural Architecture Search (NAS). They first start from a high dimensional search space and iteratively reduce the search space by empirically applying constraints based on the best-performing models sampled by the current search space."),_o=h(),ct=a("p"),ss=l("The abstract from the paper is the following:"),wo=h(),pt=a("p"),zt=a("em"),as=l("In this work, we present a new network design paradigm. Our goal is to help advance the understanding of network design and discover design principles that generalize across settings. Instead of focusing on designing individual network instances, we design network design spaces that parametrize populations of networks. The overall process is analogous to classic manual design of networks, but elevated to the design space level. Using our methodology we explore the structure aspect of network design and arrive at a low-dimensional design space consisting of simple, regular networks that we call RegNet. The core insight of the RegNet parametrization is surprisingly simple: widths and depths of good networks can be explained by a quantized linear function. We analyze the RegNet design space and arrive at interesting findings that do not match the current practice of network design. The RegNet design space provides simple and fast networks that work well across a wide range of flop regimes. Under comparable training settings and flops, the RegNet models outperform the popular EfficientNet models while being up to 5x faster on GPUs."),vo=h(),ft=a("p"),rs=l("Tips:"),bo=h(),oe=a("ul"),Ie=a("li"),ns=l("One can use "),gt=a("a"),ls=l("AutoImageProcessor"),is=l(" to prepare images for the model."),ds=h(),se=a("li"),cs=l("The huge 10B model from "),je=a("a"),ps=l("Self-supervised Pretraining of Visual Features in the Wild"),fs=l(", trained on one billion Instagram images, is available on the "),xe=a("a"),gs=l("hub"),$o=h(),E=a("p"),hs=l("This model was contributed by "),Ce=a("a"),ms=l("Francesco"),us=l(`. The TensorFlow version of the model
was contributed by `),Pe=a("a"),_s=l("sayakpaul"),ws=l(" and "),Ae=a("a"),vs=l("ariG23498"),bs=l(`.
The original code can be found `),Me=a("a"),$s=l("here"),ys=l("."),yo=h(),L=a("h2"),ae=a("a"),St=a("span"),b(qe.$$.fragment),Ns=h(),Ot=a("span"),Ts=l("Resources"),No=h(),ht=a("p"),Rs=l("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with RegNet."),To=h(),b(ze.$$.fragment),Ro=h(),re=a("ul"),S=a("li"),mt=a("a"),ks=l("RegNetForImageClassification"),Fs=l(" is supported by this "),Se=a("a"),Es=l("example script"),Is=l(" and "),Oe=a("a"),js=l("notebook"),xs=l("."),Cs=h(),ut=a("li"),Ps=l("See also: "),_t=a("a"),As=l("Image classification task guide"),ko=h(),wt=a("p"),Ms=l("If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Fo=h(),W=a("h2"),ne=a("a"),Dt=a("span"),b(De.$$.fragment),qs=h(),Lt=a("span"),zs=l("RegNetConfig"),Eo=h(),I=a("div"),b(Le.$$.fragment),Ss=h(),H=a("p"),Os=l("This is the configuration class to store the configuration of a "),vt=a("a"),Ds=l("RegNetModel"),Ls=l(`. It is used to instantiate a RegNet
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the RegNet
`),We=a("a"),Ws=l("facebook/regnet-y-040"),Hs=l(" architecture."),Us=h(),U=a("p"),Vs=l("Configuration objects inherit from "),bt=a("a"),Bs=l("PretrainedConfig"),Gs=l(` and can be used to control the model outputs. Read the
documentation from `),$t=a("a"),Ks=l("PretrainedConfig"),Js=l(" for more information."),Qs=h(),b(le.$$.fragment),Io=h(),V=a("h2"),ie=a("a"),Wt=a("span"),b(He.$$.fragment),Xs=h(),Ht=a("span"),Ys=l("RegNetModel"),jo=h(),M=a("div"),b(Ue.$$.fragment),Zs=h(),Ve=a("p"),ea=l(`The bare RegNet model outputting raw features without any specific head on top.
This model is a PyTorch `),Be=a("a"),ta=l("torch.nn.Module"),oa=l(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),sa=h(),x=a("div"),b(Ge.$$.fragment),aa=h(),B=a("p"),ra=l("The "),yt=a("a"),na=l("RegNetModel"),la=l(" forward method, overrides the "),Ut=a("code"),ia=l("__call__"),da=l(" special method."),ca=h(),b(de.$$.fragment),pa=h(),b(ce.$$.fragment),xo=h(),G=a("h2"),pe=a("a"),Vt=a("span"),b(Ke.$$.fragment),fa=h(),Bt=a("span"),ga=l("RegNetForImageClassification"),Co=h(),j=a("div"),b(Je.$$.fragment),ha=h(),Gt=a("p"),ma=l(`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),ua=h(),Qe=a("p"),_a=l("This model is a PyTorch "),Xe=a("a"),wa=l("torch.nn.Module"),va=l(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ba=h(),C=a("div"),b(Ye.$$.fragment),$a=h(),K=a("p"),ya=l("The "),Nt=a("a"),Na=l("RegNetForImageClassification"),Ta=l(" forward method, overrides the "),Kt=a("code"),Ra=l("__call__"),ka=l(" special method."),Fa=h(),b(fe.$$.fragment),Ea=h(),b(ge.$$.fragment),Po=h(),J=a("h2"),he=a("a"),Jt=a("span"),b(Ze.$$.fragment),Ia=h(),Qt=a("span"),ja=l("TFRegNetModel"),Ao=h(),q=a("div"),b(et.$$.fragment),xa=h(),Xt=a("p"),Ca=l("The bare RegNet model outputting raw features without any specific head on top."),Pa=h(),P=a("div"),b(tt.$$.fragment),Aa=h(),Q=a("p"),Ma=l("The "),Tt=a("a"),qa=l("TFRegNetModel"),za=l(" forward method, overrides the "),Yt=a("code"),Sa=l("__call__"),Oa=l(" special method."),Da=h(),b(me.$$.fragment),La=h(),b(ue.$$.fragment),Mo=h(),X=a("h2"),_e=a("a"),Zt=a("span"),b(ot.$$.fragment),Wa=h(),eo=a("span"),Ha=l("TFRegNetForImageClassification"),qo=h(),z=a("div"),b(st.$$.fragment),Ua=h(),to=a("p"),Va=l(`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Ba=h(),A=a("div"),b(at.$$.fragment),Ga=h(),Y=a("p"),Ka=l("The "),Rt=a("a"),Ja=l("TFRegNetForImageClassification"),Qa=l(" forward method, overrides the "),oo=a("code"),Xa=l("__call__"),Ya=l(" special method."),Za=h(),b(we.$$.fragment),er=h(),b(ve.$$.fragment),this.h()},l(e){const p=rn('[data-svelte="svelte-1phssyn"]',document.head);d=r(p,"META",{name:!0,content:!0}),p.forEach(o),v=m(e),_=r(e,"H1",{class:!0});var rt=n(_);g=r(rt,"A",{id:!0,class:!0,href:!0});var so=n(g);w=r(so,"SPAN",{});var ao=n(w);$(s.$$.fragment,ao),ao.forEach(o),so.forEach(o),f=m(rt),F=r(rt,"SPAN",{});var ro=n(F);Qo=i(ro,"RegNet"),ro.forEach(o),rt.forEach(o),ho=m(e),D=r(e,"H2",{class:!0});var nt=n(D);ee=r(nt,"A",{id:!0,class:!0,href:!0});var no=n(ee);Mt=r(no,"SPAN",{});var lo=n(Mt);$(Fe.$$.fragment,lo),lo.forEach(o),no.forEach(o),Xo=m(nt),qt=r(nt,"SPAN",{});var io=n(qt);Yo=i(io,"Overview"),io.forEach(o),nt.forEach(o),mo=m(e),te=r(e,"P",{});var lt=n(te);Zo=i(lt,"The RegNet model was proposed in "),Ee=r(lt,"A",{href:!0,rel:!0});var or=n(Ee);es=i(or,"Designing Network Design Spaces"),or.forEach(o),ts=i(lt," by Ilija Radosavovic, Raj Prateek Kosaraju, Ross Girshick, Kaiming He, Piotr Doll\xE1r."),lt.forEach(o),uo=m(e),dt=r(e,"P",{});var sr=n(dt);os=i(sr,"The authors design search spaces to perform Neural Architecture Search (NAS). They first start from a high dimensional search space and iteratively reduce the search space by empirically applying constraints based on the best-performing models sampled by the current search space."),sr.forEach(o),_o=m(e),ct=r(e,"P",{});var ar=n(ct);ss=i(ar,"The abstract from the paper is the following:"),ar.forEach(o),wo=m(e),pt=r(e,"P",{});var rr=n(pt);zt=r(rr,"EM",{});var nr=n(zt);as=i(nr,"In this work, we present a new network design paradigm. Our goal is to help advance the understanding of network design and discover design principles that generalize across settings. Instead of focusing on designing individual network instances, we design network design spaces that parametrize populations of networks. The overall process is analogous to classic manual design of networks, but elevated to the design space level. Using our methodology we explore the structure aspect of network design and arrive at a low-dimensional design space consisting of simple, regular networks that we call RegNet. The core insight of the RegNet parametrization is surprisingly simple: widths and depths of good networks can be explained by a quantized linear function. We analyze the RegNet design space and arrive at interesting findings that do not match the current practice of network design. The RegNet design space provides simple and fast networks that work well across a wide range of flop regimes. Under comparable training settings and flops, the RegNet models outperform the popular EfficientNet models while being up to 5x faster on GPUs."),nr.forEach(o),rr.forEach(o),vo=m(e),ft=r(e,"P",{});var lr=n(ft);rs=i(lr,"Tips:"),lr.forEach(o),bo=m(e),oe=r(e,"UL",{});var So=n(oe);Ie=r(So,"LI",{});var Oo=n(Ie);ns=i(Oo,"One can use "),gt=r(Oo,"A",{href:!0});var ir=n(gt);ls=i(ir,"AutoImageProcessor"),ir.forEach(o),is=i(Oo," to prepare images for the model."),Oo.forEach(o),ds=m(So),se=r(So,"LI",{});var co=n(se);cs=i(co,"The huge 10B model from "),je=r(co,"A",{href:!0,rel:!0});var dr=n(je);ps=i(dr,"Self-supervised Pretraining of Visual Features in the Wild"),dr.forEach(o),fs=i(co,", trained on one billion Instagram images, is available on the "),xe=r(co,"A",{href:!0,rel:!0});var cr=n(xe);gs=i(cr,"hub"),cr.forEach(o),co.forEach(o),So.forEach(o),$o=m(e),E=r(e,"P",{});var O=n(E);hs=i(O,"This model was contributed by "),Ce=r(O,"A",{href:!0,rel:!0});var pr=n(Ce);ms=i(pr,"Francesco"),pr.forEach(o),us=i(O,`. The TensorFlow version of the model
was contributed by `),Pe=r(O,"A",{href:!0,rel:!0});var fr=n(Pe);_s=i(fr,"sayakpaul"),fr.forEach(o),ws=i(O," and "),Ae=r(O,"A",{href:!0,rel:!0});var gr=n(Ae);vs=i(gr,"ariG23498"),gr.forEach(o),bs=i(O,`.
The original code can be found `),Me=r(O,"A",{href:!0,rel:!0});var hr=n(Me);$s=i(hr,"here"),hr.forEach(o),ys=i(O,"."),O.forEach(o),yo=m(e),L=r(e,"H2",{class:!0});var Do=n(L);ae=r(Do,"A",{id:!0,class:!0,href:!0});var mr=n(ae);St=r(mr,"SPAN",{});var ur=n(St);$(qe.$$.fragment,ur),ur.forEach(o),mr.forEach(o),Ns=m(Do),Ot=r(Do,"SPAN",{});var _r=n(Ot);Ts=i(_r,"Resources"),_r.forEach(o),Do.forEach(o),No=m(e),ht=r(e,"P",{});var wr=n(ht);Rs=i(wr,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with RegNet."),wr.forEach(o),To=m(e),$(ze.$$.fragment,e),Ro=m(e),re=r(e,"UL",{});var Lo=n(re);S=r(Lo,"LI",{});var it=n(S);mt=r(it,"A",{href:!0});var vr=n(mt);ks=i(vr,"RegNetForImageClassification"),vr.forEach(o),Fs=i(it," is supported by this "),Se=r(it,"A",{href:!0,rel:!0});var br=n(Se);Es=i(br,"example script"),br.forEach(o),Is=i(it," and "),Oe=r(it,"A",{href:!0,rel:!0});var $r=n(Oe);js=i($r,"notebook"),$r.forEach(o),xs=i(it,"."),it.forEach(o),Cs=m(Lo),ut=r(Lo,"LI",{});var tr=n(ut);Ps=i(tr,"See also: "),_t=r(tr,"A",{href:!0});var yr=n(_t);As=i(yr,"Image classification task guide"),yr.forEach(o),tr.forEach(o),Lo.forEach(o),ko=m(e),wt=r(e,"P",{});var Nr=n(wt);Ms=i(Nr,"If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Nr.forEach(o),Fo=m(e),W=r(e,"H2",{class:!0});var Wo=n(W);ne=r(Wo,"A",{id:!0,class:!0,href:!0});var Tr=n(ne);Dt=r(Tr,"SPAN",{});var Rr=n(Dt);$(De.$$.fragment,Rr),Rr.forEach(o),Tr.forEach(o),qs=m(Wo),Lt=r(Wo,"SPAN",{});var kr=n(Lt);zs=i(kr,"RegNetConfig"),kr.forEach(o),Wo.forEach(o),Eo=m(e),I=r(e,"DIV",{class:!0});var be=n(I);$(Le.$$.fragment,be),Ss=m(be),H=r(be,"P",{});var kt=n(H);Os=i(kt,"This is the configuration class to store the configuration of a "),vt=r(kt,"A",{href:!0});var Fr=n(vt);Ds=i(Fr,"RegNetModel"),Fr.forEach(o),Ls=i(kt,`. It is used to instantiate a RegNet
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the RegNet
`),We=r(kt,"A",{href:!0,rel:!0});var Er=n(We);Ws=i(Er,"facebook/regnet-y-040"),Er.forEach(o),Hs=i(kt," architecture."),kt.forEach(o),Us=m(be),U=r(be,"P",{});var Ft=n(U);Vs=i(Ft,"Configuration objects inherit from "),bt=r(Ft,"A",{href:!0});var Ir=n(bt);Bs=i(Ir,"PretrainedConfig"),Ir.forEach(o),Gs=i(Ft,` and can be used to control the model outputs. Read the
documentation from `),$t=r(Ft,"A",{href:!0});var jr=n($t);Ks=i(jr,"PretrainedConfig"),jr.forEach(o),Js=i(Ft," for more information."),Ft.forEach(o),Qs=m(be),$(le.$$.fragment,be),be.forEach(o),Io=m(e),V=r(e,"H2",{class:!0});var Ho=n(V);ie=r(Ho,"A",{id:!0,class:!0,href:!0});var xr=n(ie);Wt=r(xr,"SPAN",{});var Cr=n(Wt);$(He.$$.fragment,Cr),Cr.forEach(o),xr.forEach(o),Xs=m(Ho),Ht=r(Ho,"SPAN",{});var Pr=n(Ht);Ys=i(Pr,"RegNetModel"),Pr.forEach(o),Ho.forEach(o),jo=m(e),M=r(e,"DIV",{class:!0});var Et=n(M);$(Ue.$$.fragment,Et),Zs=m(Et),Ve=r(Et,"P",{});var Uo=n(Ve);ea=i(Uo,`The bare RegNet model outputting raw features without any specific head on top.
This model is a PyTorch `),Be=r(Uo,"A",{href:!0,rel:!0});var Ar=n(Be);ta=i(Ar,"torch.nn.Module"),Ar.forEach(o),oa=i(Uo,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Uo.forEach(o),sa=m(Et),x=r(Et,"DIV",{class:!0});var $e=n(x);$(Ge.$$.fragment,$e),aa=m($e),B=r($e,"P",{});var It=n(B);ra=i(It,"The "),yt=r(It,"A",{href:!0});var Mr=n(yt);na=i(Mr,"RegNetModel"),Mr.forEach(o),la=i(It," forward method, overrides the "),Ut=r(It,"CODE",{});var qr=n(Ut);ia=i(qr,"__call__"),qr.forEach(o),da=i(It," special method."),It.forEach(o),ca=m($e),$(de.$$.fragment,$e),pa=m($e),$(ce.$$.fragment,$e),$e.forEach(o),Et.forEach(o),xo=m(e),G=r(e,"H2",{class:!0});var Vo=n(G);pe=r(Vo,"A",{id:!0,class:!0,href:!0});var zr=n(pe);Vt=r(zr,"SPAN",{});var Sr=n(Vt);$(Ke.$$.fragment,Sr),Sr.forEach(o),zr.forEach(o),fa=m(Vo),Bt=r(Vo,"SPAN",{});var Or=n(Bt);ga=i(Or,"RegNetForImageClassification"),Or.forEach(o),Vo.forEach(o),Co=m(e),j=r(e,"DIV",{class:!0});var ye=n(j);$(Je.$$.fragment,ye),ha=m(ye),Gt=r(ye,"P",{});var Dr=n(Gt);ma=i(Dr,`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Dr.forEach(o),ua=m(ye),Qe=r(ye,"P",{});var Bo=n(Qe);_a=i(Bo,"This model is a PyTorch "),Xe=r(Bo,"A",{href:!0,rel:!0});var Lr=n(Xe);wa=i(Lr,"torch.nn.Module"),Lr.forEach(o),va=i(Bo,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Bo.forEach(o),ba=m(ye),C=r(ye,"DIV",{class:!0});var Ne=n(C);$(Ye.$$.fragment,Ne),$a=m(Ne),K=r(Ne,"P",{});var jt=n(K);ya=i(jt,"The "),Nt=r(jt,"A",{href:!0});var Wr=n(Nt);Na=i(Wr,"RegNetForImageClassification"),Wr.forEach(o),Ta=i(jt," forward method, overrides the "),Kt=r(jt,"CODE",{});var Hr=n(Kt);Ra=i(Hr,"__call__"),Hr.forEach(o),ka=i(jt," special method."),jt.forEach(o),Fa=m(Ne),$(fe.$$.fragment,Ne),Ea=m(Ne),$(ge.$$.fragment,Ne),Ne.forEach(o),ye.forEach(o),Po=m(e),J=r(e,"H2",{class:!0});var Go=n(J);he=r(Go,"A",{id:!0,class:!0,href:!0});var Ur=n(he);Jt=r(Ur,"SPAN",{});var Vr=n(Jt);$(Ze.$$.fragment,Vr),Vr.forEach(o),Ur.forEach(o),Ia=m(Go),Qt=r(Go,"SPAN",{});var Br=n(Qt);ja=i(Br,"TFRegNetModel"),Br.forEach(o),Go.forEach(o),Ao=m(e),q=r(e,"DIV",{class:!0});var xt=n(q);$(et.$$.fragment,xt),xa=m(xt),Xt=r(xt,"P",{});var Gr=n(Xt);Ca=i(Gr,"The bare RegNet model outputting raw features without any specific head on top."),Gr.forEach(o),Pa=m(xt),P=r(xt,"DIV",{class:!0});var Te=n(P);$(tt.$$.fragment,Te),Aa=m(Te),Q=r(Te,"P",{});var Ct=n(Q);Ma=i(Ct,"The "),Tt=r(Ct,"A",{href:!0});var Kr=n(Tt);qa=i(Kr,"TFRegNetModel"),Kr.forEach(o),za=i(Ct," forward method, overrides the "),Yt=r(Ct,"CODE",{});var Jr=n(Yt);Sa=i(Jr,"__call__"),Jr.forEach(o),Oa=i(Ct," special method."),Ct.forEach(o),Da=m(Te),$(me.$$.fragment,Te),La=m(Te),$(ue.$$.fragment,Te),Te.forEach(o),xt.forEach(o),Mo=m(e),X=r(e,"H2",{class:!0});var Ko=n(X);_e=r(Ko,"A",{id:!0,class:!0,href:!0});var Qr=n(_e);Zt=r(Qr,"SPAN",{});var Xr=n(Zt);$(ot.$$.fragment,Xr),Xr.forEach(o),Qr.forEach(o),Wa=m(Ko),eo=r(Ko,"SPAN",{});var Yr=n(eo);Ha=i(Yr,"TFRegNetForImageClassification"),Yr.forEach(o),Ko.forEach(o),qo=m(e),z=r(e,"DIV",{class:!0});var Pt=n(z);$(st.$$.fragment,Pt),Ua=m(Pt),to=r(Pt,"P",{});var Zr=n(to);Va=i(Zr,`RegNet Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Zr.forEach(o),Ba=m(Pt),A=r(Pt,"DIV",{class:!0});var Re=n(A);$(at.$$.fragment,Re),Ga=m(Re),Y=r(Re,"P",{});var At=n(Y);Ka=i(At,"The "),Rt=r(At,"A",{href:!0});var en=n(Rt);Ja=i(en,"TFRegNetForImageClassification"),en.forEach(o),Qa=i(At," forward method, overrides the "),oo=r(At,"CODE",{});var tn=n(oo);Xa=i(tn,"__call__"),tn.forEach(o),Ya=i(At," special method."),At.forEach(o),Za=m(Re),$(we.$$.fragment,Re),er=m(Re),$(ve.$$.fragment,Re),Re.forEach(o),Pt.forEach(o),this.h()},h(){c(d,"name","hf:doc:metadata"),c(d,"content",JSON.stringify(vn)),c(g,"id","regnet"),c(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(g,"href","#regnet"),c(_,"class","relative group"),c(ee,"id","overview"),c(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ee,"href","#overview"),c(D,"class","relative group"),c(Ee,"href","https://arxiv.org/abs/2003.13678"),c(Ee,"rel","nofollow"),c(gt,"href","/docs/transformers/pr_22262/en/model_doc/auto#transformers.AutoImageProcessor"),c(je,"href","https://arxiv.org/abs/2103.01988"),c(je,"rel","nofollow"),c(xe,"href","https://huggingface.co/facebook/regnet-y-10b-seer"),c(xe,"rel","nofollow"),c(Ce,"href","https://huggingface.co/Francesco"),c(Ce,"rel","nofollow"),c(Pe,"href","https://huggingface.com/sayakpaul"),c(Pe,"rel","nofollow"),c(Ae,"href","https://huggingface.com/ariG23498"),c(Ae,"rel","nofollow"),c(Me,"href","https://github.com/facebookresearch/pycls"),c(Me,"rel","nofollow"),c(ae,"id","resources"),c(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ae,"href","#resources"),c(L,"class","relative group"),c(mt,"href","/docs/transformers/pr_22262/en/model_doc/regnet#transformers.RegNetForImageClassification"),c(Se,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/image-classification"),c(Se,"rel","nofollow"),c(Oe,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/image_classification.ipynb"),c(Oe,"rel","nofollow"),c(_t,"href","../tasks/image_classification"),c(ne,"id","transformers.RegNetConfig"),c(ne,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ne,"href","#transformers.RegNetConfig"),c(W,"class","relative group"),c(vt,"href","/docs/transformers/pr_22262/en/model_doc/regnet#transformers.RegNetModel"),c(We,"href","https://huggingface.co/facebook/regnet-y-040"),c(We,"rel","nofollow"),c(bt,"href","/docs/transformers/pr_22262/en/main_classes/configuration#transformers.PretrainedConfig"),c($t,"href","/docs/transformers/pr_22262/en/main_classes/configuration#transformers.PretrainedConfig"),c(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ie,"id","transformers.RegNetModel"),c(ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ie,"href","#transformers.RegNetModel"),c(V,"class","relative group"),c(Be,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Be,"rel","nofollow"),c(yt,"href","/docs/transformers/pr_22262/en/model_doc/regnet#transformers.RegNetModel"),c(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(pe,"id","transformers.RegNetForImageClassification"),c(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(pe,"href","#transformers.RegNetForImageClassification"),c(G,"class","relative group"),c(Xe,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Xe,"rel","nofollow"),c(Nt,"href","/docs/transformers/pr_22262/en/model_doc/regnet#transformers.RegNetForImageClassification"),c(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(he,"id","transformers.TFRegNetModel"),c(he,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(he,"href","#transformers.TFRegNetModel"),c(J,"class","relative group"),c(Tt,"href","/docs/transformers/pr_22262/en/model_doc/regnet#transformers.TFRegNetModel"),c(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(_e,"id","transformers.TFRegNetForImageClassification"),c(_e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(_e,"href","#transformers.TFRegNetForImageClassification"),c(X,"class","relative group"),c(Rt,"href","/docs/transformers/pr_22262/en/model_doc/regnet#transformers.TFRegNetForImageClassification"),c(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,p){t(document.head,d),u(e,v,p),u(e,_,p),t(_,g),t(g,w),y(s,w,null),t(_,f),t(_,F),t(F,Qo),u(e,ho,p),u(e,D,p),t(D,ee),t(ee,Mt),y(Fe,Mt,null),t(D,Xo),t(D,qt),t(qt,Yo),u(e,mo,p),u(e,te,p),t(te,Zo),t(te,Ee),t(Ee,es),t(te,ts),u(e,uo,p),u(e,dt,p),t(dt,os),u(e,_o,p),u(e,ct,p),t(ct,ss),u(e,wo,p),u(e,pt,p),t(pt,zt),t(zt,as),u(e,vo,p),u(e,ft,p),t(ft,rs),u(e,bo,p),u(e,oe,p),t(oe,Ie),t(Ie,ns),t(Ie,gt),t(gt,ls),t(Ie,is),t(oe,ds),t(oe,se),t(se,cs),t(se,je),t(je,ps),t(se,fs),t(se,xe),t(xe,gs),u(e,$o,p),u(e,E,p),t(E,hs),t(E,Ce),t(Ce,ms),t(E,us),t(E,Pe),t(Pe,_s),t(E,ws),t(E,Ae),t(Ae,vs),t(E,bs),t(E,Me),t(Me,$s),t(E,ys),u(e,yo,p),u(e,L,p),t(L,ae),t(ae,St),y(qe,St,null),t(L,Ns),t(L,Ot),t(Ot,Ts),u(e,No,p),u(e,ht,p),t(ht,Rs),u(e,To,p),y(ze,e,p),u(e,Ro,p),u(e,re,p),t(re,S),t(S,mt),t(mt,ks),t(S,Fs),t(S,Se),t(Se,Es),t(S,Is),t(S,Oe),t(Oe,js),t(S,xs),t(re,Cs),t(re,ut),t(ut,Ps),t(ut,_t),t(_t,As),u(e,ko,p),u(e,wt,p),t(wt,Ms),u(e,Fo,p),u(e,W,p),t(W,ne),t(ne,Dt),y(De,Dt,null),t(W,qs),t(W,Lt),t(Lt,zs),u(e,Eo,p),u(e,I,p),y(Le,I,null),t(I,Ss),t(I,H),t(H,Os),t(H,vt),t(vt,Ds),t(H,Ls),t(H,We),t(We,Ws),t(H,Hs),t(I,Us),t(I,U),t(U,Vs),t(U,bt),t(bt,Bs),t(U,Gs),t(U,$t),t($t,Ks),t(U,Js),t(I,Qs),y(le,I,null),u(e,Io,p),u(e,V,p),t(V,ie),t(ie,Wt),y(He,Wt,null),t(V,Xs),t(V,Ht),t(Ht,Ys),u(e,jo,p),u(e,M,p),y(Ue,M,null),t(M,Zs),t(M,Ve),t(Ve,ea),t(Ve,Be),t(Be,ta),t(Ve,oa),t(M,sa),t(M,x),y(Ge,x,null),t(x,aa),t(x,B),t(B,ra),t(B,yt),t(yt,na),t(B,la),t(B,Ut),t(Ut,ia),t(B,da),t(x,ca),y(de,x,null),t(x,pa),y(ce,x,null),u(e,xo,p),u(e,G,p),t(G,pe),t(pe,Vt),y(Ke,Vt,null),t(G,fa),t(G,Bt),t(Bt,ga),u(e,Co,p),u(e,j,p),y(Je,j,null),t(j,ha),t(j,Gt),t(Gt,ma),t(j,ua),t(j,Qe),t(Qe,_a),t(Qe,Xe),t(Xe,wa),t(Qe,va),t(j,ba),t(j,C),y(Ye,C,null),t(C,$a),t(C,K),t(K,ya),t(K,Nt),t(Nt,Na),t(K,Ta),t(K,Kt),t(Kt,Ra),t(K,ka),t(C,Fa),y(fe,C,null),t(C,Ea),y(ge,C,null),u(e,Po,p),u(e,J,p),t(J,he),t(he,Jt),y(Ze,Jt,null),t(J,Ia),t(J,Qt),t(Qt,ja),u(e,Ao,p),u(e,q,p),y(et,q,null),t(q,xa),t(q,Xt),t(Xt,Ca),t(q,Pa),t(q,P),y(tt,P,null),t(P,Aa),t(P,Q),t(Q,Ma),t(Q,Tt),t(Tt,qa),t(Q,za),t(Q,Yt),t(Yt,Sa),t(Q,Oa),t(P,Da),y(me,P,null),t(P,La),y(ue,P,null),u(e,Mo,p),u(e,X,p),t(X,_e),t(_e,Zt),y(ot,Zt,null),t(X,Wa),t(X,eo),t(eo,Ha),u(e,qo,p),u(e,z,p),y(st,z,null),t(z,Ua),t(z,to),t(to,Va),t(z,Ba),t(z,A),y(at,A,null),t(A,Ga),t(A,Y),t(Y,Ka),t(Y,Rt),t(Rt,Ja),t(Y,Qa),t(Y,oo),t(oo,Xa),t(Y,Ya),t(A,Za),y(we,A,null),t(A,er),y(ve,A,null),zo=!0},p(e,[p]){const rt={};p&2&&(rt.$$scope={dirty:p,ctx:e}),le.$set(rt);const so={};p&2&&(so.$$scope={dirty:p,ctx:e}),de.$set(so);const ao={};p&2&&(ao.$$scope={dirty:p,ctx:e}),ce.$set(ao);const ro={};p&2&&(ro.$$scope={dirty:p,ctx:e}),fe.$set(ro);const nt={};p&2&&(nt.$$scope={dirty:p,ctx:e}),ge.$set(nt);const no={};p&2&&(no.$$scope={dirty:p,ctx:e}),me.$set(no);const lo={};p&2&&(lo.$$scope={dirty:p,ctx:e}),ue.$set(lo);const io={};p&2&&(io.$$scope={dirty:p,ctx:e}),we.$set(io);const lt={};p&2&&(lt.$$scope={dirty:p,ctx:e}),ve.$set(lt)},i(e){zo||(N(s.$$.fragment,e),N(Fe.$$.fragment,e),N(qe.$$.fragment,e),N(ze.$$.fragment,e),N(De.$$.fragment,e),N(Le.$$.fragment,e),N(le.$$.fragment,e),N(He.$$.fragment,e),N(Ue.$$.fragment,e),N(Ge.$$.fragment,e),N(de.$$.fragment,e),N(ce.$$.fragment,e),N(Ke.$$.fragment,e),N(Je.$$.fragment,e),N(Ye.$$.fragment,e),N(fe.$$.fragment,e),N(ge.$$.fragment,e),N(Ze.$$.fragment,e),N(et.$$.fragment,e),N(tt.$$.fragment,e),N(me.$$.fragment,e),N(ue.$$.fragment,e),N(ot.$$.fragment,e),N(st.$$.fragment,e),N(at.$$.fragment,e),N(we.$$.fragment,e),N(ve.$$.fragment,e),zo=!0)},o(e){T(s.$$.fragment,e),T(Fe.$$.fragment,e),T(qe.$$.fragment,e),T(ze.$$.fragment,e),T(De.$$.fragment,e),T(Le.$$.fragment,e),T(le.$$.fragment,e),T(He.$$.fragment,e),T(Ue.$$.fragment,e),T(Ge.$$.fragment,e),T(de.$$.fragment,e),T(ce.$$.fragment,e),T(Ke.$$.fragment,e),T(Je.$$.fragment,e),T(Ye.$$.fragment,e),T(fe.$$.fragment,e),T(ge.$$.fragment,e),T(Ze.$$.fragment,e),T(et.$$.fragment,e),T(tt.$$.fragment,e),T(me.$$.fragment,e),T(ue.$$.fragment,e),T(ot.$$.fragment,e),T(st.$$.fragment,e),T(at.$$.fragment,e),T(we.$$.fragment,e),T(ve.$$.fragment,e),zo=!1},d(e){o(d),e&&o(v),e&&o(_),R(s),e&&o(ho),e&&o(D),R(Fe),e&&o(mo),e&&o(te),e&&o(uo),e&&o(dt),e&&o(_o),e&&o(ct),e&&o(wo),e&&o(pt),e&&o(vo),e&&o(ft),e&&o(bo),e&&o(oe),e&&o($o),e&&o(E),e&&o(yo),e&&o(L),R(qe),e&&o(No),e&&o(ht),e&&o(To),R(ze,e),e&&o(Ro),e&&o(re),e&&o(ko),e&&o(wt),e&&o(Fo),e&&o(W),R(De),e&&o(Eo),e&&o(I),R(Le),R(le),e&&o(Io),e&&o(V),R(He),e&&o(jo),e&&o(M),R(Ue),R(Ge),R(de),R(ce),e&&o(xo),e&&o(G),R(Ke),e&&o(Co),e&&o(j),R(Je),R(Ye),R(fe),R(ge),e&&o(Po),e&&o(J),R(Ze),e&&o(Ao),e&&o(q),R(et),R(tt),R(me),R(ue),e&&o(Mo),e&&o(X),R(ot),e&&o(qo),e&&o(z),R(st),R(at),R(we),R(ve)}}}const vn={local:"regnet",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.RegNetConfig",title:"RegNetConfig"},{local:"transformers.RegNetModel",title:"RegNetModel"},{local:"transformers.RegNetForImageClassification",title:"RegNetForImageClassification"},{local:"transformers.TFRegNetModel",title:"TFRegNetModel"},{local:"transformers.TFRegNetForImageClassification",title:"TFRegNetForImageClassification"}],title:"RegNet"};function bn(k){return nn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class En extends on{constructor(d){super();sn(this,d,bn,wn,an,{})}}export{En as default,vn as metadata};
